/* bsect.S -- Minimal boot sector for the root disk */
/*   Contributed by Thomas Quinot <thomas@cuivre.fdn.fr> */
BOOTSEG = 0x07c0

	.text

	.globl	_main

	.org	0

_main:	jmp	start

	.org	2

	.ascii	"ROOTDSK"
msg1:	.byte 13, 10
	.ascii  "This is the ROOT disk of a Yard dual-disk rescue set."
        .byte 13, 10
	.ascii  "Insert the BOOT disk and press any key..."
	.byte 13, 10
	.byte 0

start:	mov ax, #BOOTSEG
	mov ds, ax
	mov si, #msg1
	cld
	call print
	xor ah, ah
	int 0x16
	int 0x19

print:	lodsb
	or al, al
	jz print_fin
	mov ah, #14
	xor bh, bh
	int 0x10
	jmp print
print_fin:
	ret

.org 510
	.word 0xaa55
